Tagline wanted, apply within.

…all the good ones were taken

Announcing Squidman 4.0, with Mojave support

I’m pleased to announce the release of SquidMan 4.0 This new version is bundled with Squid 3.5.28, and has been tested on macOS 10.14 (Mojave) while still retaining backward compatibility with earlier versions of Mac OS X, back to 10.6.8 running on 64-bit hardware. Please see the SquidMan pages for more information and a download link.

Announcing Squidman 3.8, with El Capitan support

I’m pleased to announce the release of SquidMan 3.8 This new version is bundled with Squid 3.5.15, and includes support for Mac OS X 10.11 (El Capitan) while still retaining backward compatibility with earlier versions of Mac OS X, back to 10.6.8 running on 64-bit hardware. Please see the SquidMan pages for more information and a download link.

Announcing Squidman 3.6, with Yosemite support

I’m pleased to announce the release of SquidMan 3.6. This new version is bundled with Squid 3.4.9, and includes support for Mac OS X 10.10 (Yosemite) while still retaining backward compatibility to 10.6.8 running on 64-bit hardware. Please see the SquidMan pages for more information and a download link.

Announcing MediaEraser 2.0, with 64-bit Intel support

I’m pleased to announce the release (after more than 9 years!) of MediaEraser 2.0. This new version includes support for 64-bit Intel systems, and should run on 10.6.8 and higher. It has been tested on 10.7.5, 10.8.5 and 10.9.1 (Mavericks). See the MediaEraser page for more information and a download link.

Announcing Squidman 3.5, with Mavericks support

I’m pleased to announce the release of SquidMan 3.5. This new version is bundled with Squid 3.3.8, and includes support for Mac OS X 10.9 (Mavericks). Please see the SquidMan pages for more information and a download link.
Tagline wanted, apply within.
Tagline wanted, apply within.
© 2010-2018 Tony Gray Contact Me